Missing Release of Resource after Effective Lifetime

Affecting imagemagick package, versions *

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

NVD Description

Note: Versions mentioned in the description apply to the upstream imagemagick package.

ImageMagick 7.0.8-35 has a memory leak in coders/dot.c, as demonstrated by AcquireMagickMemory in MagickCore/memory.c.

Remediation

There is no fixed version for Debian:8 imagemagick.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    High
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
CVE
CVE-2019-16710
CWE
CWE-772
Snyk ID
SNYK-DEBIAN8-IMAGEMAGICK-468966
Disclosed
23 Sep, 2019
Published
23 Sep, 2019